Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230759 - RFE: Anaconda My Own Admin mode
Summary: RFE: Anaconda My Own Admin mode
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 18:06 UTC by Kevin Verma
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 20:39:40 UTC


Attachments (Terms of Use)

Description Kevin Verma 2007-03-02 18:06:56 UTC
Description of problem:
This is order to enable users have a Fedora installation, which is targeted for
a non expert users. 

This is basically to suggest that anaconda let users choose a mode for example
called "I am my own admin" 

Such mode more basically either modifies Pam & sudo configurations or installs
different set of Pam & sudo packages to - 

- let the user accounts created there after user system-config-*tools after
supplying their own password. Also one default user account account created
under such mode, unless a new user account is possible to be opted by user as
non-privileged account. 

I have been thinking of the same idea, but recently this got more inspired for
me after using Nokia N800 device for a while, perhaps Linspire does something
similar but I have no experience or knowledge of the same.  

- I assume there might be possible administration limitations for users after
install and also some security risks for users own data & home directory.

Comment 1 Jeremy Katz 2007-03-05 20:39:40 UTC
Having this in anaconda is the wrong place.  Conceivably, you could do something
like this with a firstboot screen or in system-config-users, but it's not
something that we're really interested in making anaconda do. 


Note You need to log in before you can comment on or make changes to this bug.